# Consumer Surveys API . mobileapppanels

## Instance Methods

Retrieves a MobileAppPanel that is available to the authenticated user.

Lists the MobileAppPanels available to the authenticated user.

Updates a MobileAppPanel. Currently the only property that can be updated is the owners property.

### Method Details

`get(panelId)`

    Retrieves a MobileAppPanel that is available to the authenticated user.

    Args:
      panelId: string, External URL ID for the panel. (required)

    Returns:
      An object of the form:

        {
        "owners": [
          "A String",
        ],
        "mobileAppPanelId": "A String",
        "name": "A String",
        "language": "A String",
        "country": "A String",
        "isPublicPanel": True or False,
      }

`list(startIndex=None, maxResults=None, token=None)`

    Lists the MobileAppPanels available to the authenticated user.

    Args:
      startIndex: integer, A parameter
      maxResults: integer, A parameter
      token: string, A parameter

    Returns:
      An object of the form:

        {
        "tokenPagination": {
          "nextPageToken": "A String",
          "previousPageToken": "A String",
        },
        "pageInfo": {
          "totalResults": 42,
          "startIndex": 42,
          "resultPerPage": 42,
        },
        "resources": [ # An individual predefined panel of Opinion Rewards mobile users.
          {
            "owners": [
              "A String",
            ],
            "mobileAppPanelId": "A String",
            "name": "A String",
            "language": "A String",
            "country": "A String",
            "isPublicPanel": True or False,
          },
        ],
        "requestId": "A String", # Unique request ID used for logging and debugging. Please include in any error reporting or troubleshooting requests.
      }

`update(panelId, body)`

    Updates a MobileAppPanel. Currently the only property that can be updated is the owners property.

    Args:
      panelId: string, External URL ID for the panel. (required)
      body: object, The request body. (required)
        The object takes the form of:

    {
      "owners": [
        "A String",
      ],
      "mobileAppPanelId": "A String",
      "name": "A String",
      "language": "A String",
      "country": "A String",
      "isPublicPanel": True or False,
    }

    Returns:
      An object of the form:

        {
        "owners": [
          "A String",
        ],
        "mobileAppPanelId": "A String",
        "name": "A String",
        "language": "A String",
        "country": "A String",
        "isPublicPanel": True or False,
      }